import logo from "./logo.svg";
import "./App.css";
import {
  AppBar,
  Button,
  createMuiTheme,
  MuiThemeProvider,
  responsiveFontSizes,
  Toolbar,
} from "@material-ui/core";
import React from "react";
import InstructionPage from "./pages/instructionPage";
import UsernameForm from "./components/UsernameForm";
import LoginPage from "./pages/loginPage";
import SettingsPage from "./pages/settingsPage";
import UsernamePage from "./pages/usernamePage";
import PlayPage from "./pages/playPage";
import {
  Link,
  Route,
  BrowserRouter as Router,
  Switch,
  useLocation,
} from "react-router-dom";
import MainPage from "./pages/mainPage";
import SummaryPage from "./pages/summaryPage";

// let theme = createMuiTheme();
// theme = responsiveFontSizes(theme);

function App() {
  return (
    <Router>
      <Switch>
        <Route path="/" exact component={MainPage} />
        <Route path="/settings" component={SettingsPage} />
        <Route path="/instructions" exact component={InstructionPage} />
        <Route path="/username" exact component={UsernamePage} />
        <Route path="/play" exact component={PlayPage} />
        <Route path="/summary" exact component={SummaryPage} />
      </Switch>
    </Router>
  );
}

export default App;
